<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
<!--
  Accept deprecated 'mono' alias, replacing it with 'monospace'
-->
	<match target="pattern">
		<test qual="any" name="family">
			<string>mono</string>
		</test>
		<edit name="family" mode="assign" binding="same">
			<string>monospace</string>
		</edit>
	</match>

<!--
  Accept alternate 'sans serif' spelling, replacing it with 'sans-serif'
-->
	<match target="pattern">
		<test qual="any" name="family">
			<string>sans serif</string>
		</test>
		<edit name="family" mode="assign" binding="same">
			<string>sans-serif</string>
		</edit>
	</match>

<!--
  Accept deprecated 'sans' alias, replacing it with 'sans-serif'
-->
	<match target="pattern">
		<test qual="any" name="family">
			<string>sans</string>
		</test>
		<edit name="family" mode="assign" binding="same">
			<string>sans-serif</string>
		</edit>
	</match>

<!--
	Font cache directory list
-->
	<cachedir prefix="xdg">fontconfig</cachedir>

	<config>
<!--
  Rescan configuration every <n> seconds when FcFontSetList is called
  We set n = 0s to disable auto rescans
 -->
		<rescan>
			<int>0</int>
		</rescan>
	</config>

<!--
  Inlined from "09-autohint-if-no-hinting.conf"
  Enable autohinter if font doesn't have any hinting
-->
  <match target="font">
    <test name="fonthashint"><bool>false</bool></test>
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit name="autohint" mode="append"><bool>true</bool></edit>
  </match>
<!--
  Inlined from "10-autohint.conf"
  Enable autohinter
-->
  <match target="pattern">
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit name="autohint" mode="append"><bool>true</bool></edit>
  </match>
<!--
  Inlined from "10-hinting-full.conf"
  Set hintfull to hintstyle
-->
  <match target="pattern">
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit name="hintstyle" mode="append"><const>hintfull</const></edit>
  </match>
<!--
  Inlined from "10-hinting-medium.conf"
  Set hintmedium to hintstyle
-->
  <match target="pattern">
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit name="hintstyle" mode="append"><const>hintmedium</const></edit>
  </match>
<!--
  Inlined from "10-hinting-none.conf"
  Set hintnone to hintstyle
-->
  <match target="pattern">
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit name="hintstyle" mode="append"><const>hintnone</const></edit>
  </match>
<!--
  Inlined from "10-hinting-slight.conf"
  Set hintslight to hintstyle
-->
  <match target="pattern">
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit name="hintstyle" mode="append"><const>hintslight</const></edit>
  </match>
<!--
  Inlined from "10-no-antialias.conf"
  Disable antialiasing
-->
  <match target="pattern">
    <edit name="antialias" mode="append"><bool>false</bool></edit>
  </match>
<!--
  Inlined from "10-scale-bitmap-fonts.conf"
  Bitmap scaling
-->
  <match target="font">
  <test name="outline" compare="eq">
    <bool>false</bool>
  </test>
  <edit name="pixelsizefixupfactor" mode="assign">
    <divide>
      <name target="pattern">pixelsize</name>
      <name target="font">pixelsize</name>
    </divide>
  </edit>
</match>
<!--
  For non-scalable bitmap fonts (ie. non-color), skip
  minor scaling if hinting is enabled.
  -->
<match target="font">
  <test name="outline" compare="eq">
    <bool>false</bool>
  </test>
  <test name="scalable" compare="eq">
    <bool>false</bool>
  </test>
  <test name="hinting" compare="eq">
    <bool>true</bool>
  </test>
  <edit name="scalingnotneeded" mode="assign">
    <and>
      <less>
        <name>pixelsizefixupfactor</name>
        <double>1.2</double>
      </less>
      <more>
        <name>pixelsizefixupfactor</name>
        <double>0.8</double>
      </more>
    </and>
  </edit>
</match>
<match target="font">
  <test name="scalingnotneeded" compare="eq">
    <bool>true</bool>
  </test>
  <edit name="pixelsizefixupfactor" mode="assign">
    <double>1.0</double>
  </edit>
</match>
<!--
  If we *are* going to scale, go ahead and do it.
  -->
<match target="font">
  <test name="outline" compare="eq">
    <bool>false</bool>
  </test>
  <test name="pixelsizefixupfactor" compare="not_eq">
    <double>1.0</double>
  </test>
  <edit name="matrix" mode="assign">
    <times>
      <name>matrix</name>
      <matrix>
        <name>pixelsizefixupfactor</name> <double>0</double>
        <double>0</double> <name>pixelsizefixupfactor</name>
       </matrix>
    </times>
  </edit>
  <edit name="size" mode="assign">
    <divide>
      <name>size</name>
      <name>pixelsizefixupfactor</name>
    </divide>
  </edit>
</match>

<!--
  Inlined from "10-sub-pixel-bgr.conf"
  Enable sub-pixel rendering with the BGR stripes layout
-->
  <match target="pattern">
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit name="rgba" mode="append"><const>bgr</const></edit>
  </match>
<!--
  Inlined from "10-sub-pixel-none.conf"
  Disable sub-pixel rendering
-->
  <match target="pattern">
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit name="rgba" mode="append"><const>none</const></edit>
  </match>
<!--
  Inlined from "10-sub-pixel-rgb.conf"
  Enable sub-pixel rendering with the RGB stripes layout
-->
  <match target="pattern">
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit name="rgba" mode="append"><const>rgb</const></edit>
  </match>
<!--
  Inlined from "10-sub-pixel-vbgr.conf"
  Enable sub-pixel rendering with the vertical BGR stripes layout
-->
  <match target="pattern">
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit name="rgba" mode="append"><const>vbgr</const></edit>
  </match>
<!--
  Inlined from "10-sub-pixel-vrgb.conf"
  Enable sub-pixel rendering with the vertical RGB stripes layout
-->
  <match target="pattern">
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit name="rgba" mode="append"><const>vrgb</const></edit>
  </match>
<!--
  Inlined from "10-unhinted.conf"
  Disable hinting
-->
  <match target="pattern">
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit name="hinting" mode="append"><bool>false</bool></edit>
  </match>
<!--
  Inlined from "10-yes-antialias.conf"
  Enable antialiasing
-->
  <match target="pattern">
    <edit name="antialias" mode="append"><bool>true</bool></edit>
  </match>
<!--
  Inlined from "11-lcdfilter-default.conf"
  Use lcddefault as default for LCD filter
-->
  <match target="pattern">
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit mode="append" name="lcdfilter">
      <const>lcddefault</const>
    </edit>
  </match>
<!--
  Inlined from "11-lcdfilter-legacy.conf"
  Use lcdlegacy as default for LCD filter
-->
  <match target="pattern">
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit mode="append" name="lcdfilter">
      <const>lcdlegacy</const>
    </edit>
  </match>
<!--
  Inlined from "11-lcdfilter-light.conf"
  Use lcdlight as default for LCD filter
-->
  <match target="pattern">
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit mode="append" name="lcdfilter">
      <const>lcdlight</const>
    </edit>
  </match>
<!--
  Inlined from "11-lcdfilter-none.conf"
  Use lcdnone as default for LCD filter
-->
  <match target="pattern">
    <!--
      This sort of configuration is available on the major desktop environments
      and we don't have to break it with "assign" unconditionally. however, we
      want to set something for others. So we use "append" here to get this working
      in both cases so that most clients would takes a look at the first place only.
    -->
    <edit mode="append" name="lcdfilter">
      <const>lcdnone</const>
    </edit>
  </match>
<!--
  Inlined from "20-unhint-small-vera.conf"
  Disable hinting for Bitstream Vera fonts when the size is less than 8ppem
-->
  <match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>Bitstream Vera Sans</string>
		</test>
		<test name="pixelsize" compare="less">
			<double>7.5</double>
		</test>
		<edit name="hinting">
			<bool>false</bool>
		</edit>
	</match>

	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>Bitstream Vera Serif</string>
		</test>
		<test name="pixelsize" compare="less">
			<double>7.5</double>
		</test>
		<edit name="hinting">
			<bool>false</bool>
		</edit>
	</match>

	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>Bitstream Vera Sans Mono</string>
		</test>
		<test name="pixelsize" compare="less">
			<double>7.5</double>
		</test>
		<edit name="hinting">
			<bool>false</bool>
		</edit>
	</match>

<!--
  Inlined from "25-unhint-nonlatin.conf"
  Disable hinting for CJK fonts
-->
  <match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>Kochi Mincho</string>
		</test>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
	</match>
	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>Kochi Gothic</string>
		</test>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
	</match>
	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>Sazanami Mincho</string>
		</test>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
	</match>
	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>Sazanami Gothic</string>
		</test>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
	</match>
	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>Baekmuk Batang</string>
		</test>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
	</match>
	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>Baekmuk Dotum</string>
		</test>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
	</match>
	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>Baekmuk Gulim</string>
		</test>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
	</match>
	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>Baekmuk Headline</string>
		</test>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
	</match>
	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>AR PL Mingti2L Big5</string>
		</test>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
	</match>
	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>AR PL ShanHeiSun Uni</string>
		</test>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
	</match>
	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>AR PL KaitiM Big5</string>
		</test>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
	</match>
	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>AR PL ZenKai Uni</string>
		</test>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
	</match>
	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>AR PL SungtiL GB</string>
		</test>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
	</match>
	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>AR PL KaitiM GB</string>
		</test>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
	</match>
	<match target="font">
		<test name="family" compare="eq" ignore-blanks="true">
			<string>ZYSong18030</string>
		</test>
		<edit name="hinting" mode="assign">
			<bool>false</bool>
		</edit>
	</match>

<!--
  Inlined from "30-metric-aliases.conf"
  Set substitutions for similar/metric-compatible families
-->
  <!-- Map specifics to generics -->

	<!-- PostScript -->
	<alias binding="same">
	  <family>Helvetica LT Std</family>
	  <default>
	  <family>Helvetica</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Nimbus Sans L</family>
	  <default>
	  <family>Helvetica</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Nimbus Sans</family>
	  <default>
	  <family>Helvetica</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>TeX Gyre Heros</family>
	  <default>
	  <family>Helvetica</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Nimbus Sans Narrow</family>
	  <default>
	  <family>Helvetica Narrow</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>TeX Gyre Heros Cn</family>
	  <default>
	  <family>Helvetica Narrow</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Nimbus Roman No9 L</family>
	  <default>
	  <family>Times</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Nimbus Roman</family>
	  <default>
	  <family>Times</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>TeX Gyre Termes</family>
	  <default>
	  <family>Times</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Courier Std</family>
	  <accept>
	  <family>Courier</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>Nimbus Mono L</family>
	  <default>
	  <family>Courier</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Nimbus Mono</family>
	  <default>
	  <family>Courier</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Nimbus Mono PS</family>
	  <default>
	  <family>Courier</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>TeX Gyre Cursor</family>
	  <default>
	  <family>Courier</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Avant Garde</family>
	  <default>
	  <family>ITC Avant Garde Gothic</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>URW Gothic L</family>
	  <default>
	  <family>ITC Avant Garde Gothic</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>URW Gothic</family>
	  <default>
	  <family>ITC Avant Garde Gothic</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>TeX Gyre Adventor</family>
	  <default>
	  <family>ITC Avant Garde Gothic</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Bookman</family>
	  <default>
	  <family>ITC Bookman</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>URW Bookman L</family>
	  <default>
	  <family>ITC Bookman</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Bookman URW</family>
	  <default>
	  <family>ITC Bookman</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>URW Bookman</family>
	  <default>
	  <family>ITC Bookman</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>TeX Gyre Bonum</family>
	  <default>
	  <family>ITC Bookman</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Bookman Old Style</family>
	  <default>
	  <family>ITC Bookman</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Zapf Chancery</family>
	  <default>
	  <family>ITC Zapf Chancery</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>URW Chancery L</family>
	  <default>
	  <family>ITC Zapf Chancery</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Chancery URW</family>
	  <default>
	  <family>ITC Zapf Chancery</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Z003</family>
	  <default>
	  <family>ITC Zapf Chancery</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>TeX Gyre Chorus</family>
	  <default>
	  <family>ITC Zapf Chancery</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>URW Palladio L</family>
	  <default>
	  <family>Palatino</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Palladio URW</family>
	  <default>
	  <family>Palatino</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>P052</family>
	  <default>
	  <family>Palatino</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>TeX Gyre Pagella</family>
	  <default>
	  <family>Palatino</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Palatino Linotype</family>
	  <default>
	  <family>Palatino</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Century Schoolbook L</family>
	  <default>
	  <family>New Century Schoolbook</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Century SchoolBook URW</family>
	  <default>
	  <family>New Century Schoolbook</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>C059</family>
	  <default>
	  <family>New Century Schoolbook</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>TeX Gyre Schola</family>
	  <default>
	  <family>New Century Schoolbook</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Century Schoolbook</family>
	  <default>
	  <family>New Century Schoolbook</family>
	  </default>
	</alias>

	<!-- Microsoft -->
	<alias binding="same">
	  <family>Arimo</family>
	  <default>
	    <family>Arial</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Liberation Sans</family>
	  <default>
	  <family>Arial</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Liberation Sans Narrow</family>
	  <default>
	    <family>Arial Narrow</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Albany</family>
	  <default>
	  <family>Arial</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Albany AMT</family>
	  <default>
	  <family>Arial</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Tinos</family>
	  <default>
	    <family>Times New Roman</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Liberation Serif</family>
	  <default>
	  <family>Times New Roman</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Thorndale</family>
	  <default>
	  <family>Times New Roman</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Thorndale AMT</family>
	  <default>
	  <family>Times New Roman</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Cousine</family>
	  <default>
	    <family>Courier New</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Liberation Mono</family>
	  <default>
	  <family>Courier New</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Cumberland</family>
	  <default>
	  <family>Courier New</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Cumberland AMT</family>
	  <default>
	  <family>Courier New</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Gelasio</family>
	  <default>
	  <family>Georgia</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Caladea</family>
	  <default>
	  <family>Cambria</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>Carlito</family>
	  <default>
	  <family>Calibri</family>
	  </default>
	</alias>

	<alias binding="same">
	  <family>SymbolNeu</family>
	  <default>
	  <family>Symbol</family>
	  </default>
  </alias>

<!-- Accept the other group as fallback -->

	<!-- PostScript -->
	<alias>
	  <family>Helvetica</family>
	  <default>
	  <family>Arial</family>
	  </default>
	</alias>

	<alias>
	  <family>Helvetica Narrow</family>
	  <default>
	  <family>Arial Narrow</family>
	  </default>
	</alias>

	<alias>
	  <family>Times</family>
	  <default>
	  <family>Times New Roman</family>
	  </default>
	</alias>

	<alias>
	  <family>Courier</family>
	  <default>
	  <family>Courier New</family>
	  </default>
	</alias>

	<!-- Microsoft -->
	<alias>
	  <family>Arial</family>
	  <default>
	  <family>Helvetica</family>
	  </default>
	</alias>

	<alias>
	  <family>Arial Narrow</family>
	  <default>
	  <family>Helvetica Narrow</family>
	  </default>
	</alias>

	<alias>
	  <family>Times New Roman</family>
	  <default>
	  <family>Times</family>
	  </default>
	</alias>

	<alias>
	  <family>Courier New</family>
	  <default>
	  <family>Courier</family>
	  </default>
	</alias>

<!-- Map generics to specifics -->

	<!-- PostScript -->
	<alias binding="same">
	  <family>Helvetica</family>
	  <accept>
	  <family>Helvetica LT Std</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>Helvetica</family>
	  <accept>
	  <family>TeX Gyre Heros</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>Helvetica Narrow</family>
	  <accept>
	  <family>TeX Gyre Heros Cn</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>Times</family>
	  <accept>
	  <family>TeX Gyre Termes</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>Courier</family>
	  <accept>
	  <family>TeX Gyre Cursor</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>Courier</family>
	  <accept>
	  <family>Courier Std</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>ITC Avant Garde Gothic</family>
	  <accept>
	  <family>TeX Gyre Adventor</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>ITC Bookman</family>
	  <accept>
	  <family>Bookman Old Style</family>
	  <family>TeX Gyre Bonum</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>ITC Zapf Chancery</family>
	  <accept>
	  <family>TeX Gyre Chorus</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>Palatino</family>
	  <accept>
	  <family>Palatino Linotype</family>
	  <family>TeX Gyre Pagella</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>New Century Schoolbook</family>
	  <accept>
	  <family>Century Schoolbook</family>
	  <family>TeX Gyre Schola</family>
	  </accept>
	</alias>

	<!-- Microsoft -->
	<alias binding="same">
	  <family>Arial</family>
	  <accept>
	    <family>Arimo</family>
	    <family>Liberation Sans</family>
	    <family>Albany</family>
	    <family>Albany AMT</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>Arial Narrow</family>
	  <accept>
	    <family>Liberation Sans Narrow</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>Times New Roman</family>
	  <accept>
	    <family>Tinos</family>
	    <family>Liberation Serif</family>
	    <family>Thorndale</family>
	    <family>Thorndale AMT</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>Courier New</family>
	  <accept>
	    <family>Cousine</family>
	    <family>Liberation Mono</family>
	    <family>Cumberland</family>
	    <family>Cumberland AMT</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>Georgia</family>
	  <accept>
	    <family>Gelasio</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>Cambria</family>
	  <accept>
	    <family>Caladea</family>
	  </accept>
	</alias>

	<alias binding="same">
	  <family>Calibri</family>
	  <accept>
	    <family>Carlito</family>
	  </accept>
  </alias>

	<alias binding="same">
	  <family>Symbol</family>
	  <accept>
	    <family>SymbolNeu</family>
	  </accept>
  </alias>

<!--
  Inlined from "40-nonlatin.conf"
  Set substitutions for non-Latin fonts
-->
  <!--
  Serif faces
 -->
	<alias>
		<family>Nazli</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Lotoos</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Mitra</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Ferdosi</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Badr</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Zar</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Titr</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Jadid</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Kochi Mincho</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>AR PL SungtiL GB</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>AR PL Mingti2L Big5</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>ＭＳ 明朝</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>NanumMyeongjo</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>UnBatang</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Baekmuk Batang</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>MgOpen Canonica</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Sazanami Mincho</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>AR PL ZenKai Uni</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>ZYSong18030</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>FreeSerif</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>SimSun</family>
		<default><family>serif</family></default>
	</alias>
<!--
  Sans-serif faces
 -->
	<alias>
		<family>Arshia</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Elham</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Farnaz</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Nasim</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Sina</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Roya</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Koodak</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Terafik</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Kochi Gothic</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>AR PL KaitiM GB</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>AR PL KaitiM Big5</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>ＭＳ ゴシック</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>NanumGothic</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>UnDotum</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Baekmuk Dotum</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>MgOpen Modata</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Sazanami Gothic</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>AR PL ShanHeiSun Uni</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>ZYSong18030</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>FreeSans</family>
		<default><family>sans-serif</family></default>
	</alias>
<!--
  Monospace faces
 -->
	<alias>
		<family>NSimSun</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>ZYSong18030</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>NanumGothicCoding</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>FreeMono</family>
		<default><family>monospace</family></default>
	</alias>

<!--
  Fantasy faces
 -->
	<alias>
		<family>Homa</family>
		<default><family>fantasy</family></default>
	</alias>
	<alias>
		<family>Kamran</family>
		<default><family>fantasy</family></default>
	</alias>
	<alias>
		<family>Fantezi</family>
		<default><family>fantasy</family></default>
	</alias>
	<alias>
		<family>Tabassom</family>
		<default><family>fantasy</family></default>
	</alias>

<!--
  Cursive faces
 -->
	<alias>
		<family>IranNastaliq</family>
		<default><family>cursive</family></default>
	</alias>
	<alias>
		<family>Nafees Nastaleeq</family>
		<default><family>cursive</family></default>
	</alias>

<!--
  system-ui
-->
	<alias>
		<family>Noto Sans Arabic UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Noto Sans Bengali UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Noto Sans Devanagari UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Noto Sans Gujarati UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Noto Sans Gurmukhi UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Noto Sans Kannada UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Noto Sans Khmer UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Noto Sans Lao UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Noto Sans Malayalam UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Noto Sans Myanmar UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Noto Sans Oriya UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Noto Sans Sinhala UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Noto Sans Tamil UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Noto Sans Telugu UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Noto Sans Thai UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Leelawadee UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Nirmala UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Yu Gothic UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Meiryo UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>MS UI Gothic</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Khmer UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Lao UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Microsoft JhengHei UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Microsoft YaHei UI</family>
		<default><family>system-ui</family></default>
	</alias>

<!--
  Inlined from "45-generic.conf"
  Set substitutions for emoji/math fonts
-->
  <!-- Emoji -->

	<!-- System emoji -->
	<alias binding="same">
		<family>Noto Color Emoji</family> <!-- Google -->
		<default><family>emoji</family></default>
	</alias>
	<alias binding="same">
		<family>Apple Color Emoji</family> <!-- Apple -->
		<default><family>emoji</family></default>
	</alias>
	<alias binding="same">
		<family>Segoe UI Emoji</family> <!-- Microsoft -->
		<default><family>emoji</family></default>
	</alias>
	<alias binding="same">
		<family>Twitter Color Emoji</family> <!-- Twitter -->
		<default><family>emoji</family></default>
	</alias>
	<alias binding="same">
		<family>EmojiOne Mozilla</family> <!-- Mozilla -->
		<default><family>emoji</family></default>
	</alias>
	<!-- Third-party emoji -->
	<alias binding="same">
		<family>Emoji Two</family>
		<default><family>emoji</family></default>
	</alias>
	<alias binding="same">
		<family>JoyPixels</family>
		<default><family>emoji</family></default>
	</alias>
	<alias binding="same">
		<family>Emoji One</family>
		<default><family>emoji</family></default>
	</alias>
	<!-- B&W -->
	<alias binding="same">
		<family>Noto Emoji</family> <!-- Google -->
		<default><family>emoji</family></default>
	</alias>
	<alias binding="same">
		<family>Android Emoji</family> <!-- Google -->
		<default><family>emoji</family></default>
	</alias>

	<!-- Add language for emoji, to match other emoji fonts. -->
	<match>
		<test name="family">
			<string>emoji</string>
		</test>
		<edit name="lang" mode="prepend">
			<string>und-zsye</string>
		</edit>
	</match>

	<match>
		<test name="lang">
			<string>und-zsye</string>
		</test>
		<test qual="all" name="family" compare="not_eq">
			<string>emoji</string>
		</test>

		<!-- Add generic family. -->
		<edit name="family" mode="append" binding="strong">
			<string>emoji</string>
		</edit>
	</match>


<!-- Math -->

	<!-- https://en.wikipedia.org/wiki/Category:Mathematical_OpenType_typefaces -->
	<alias binding="same">
		<family>XITS Math</family> <!-- Khaled Hosny -->
		<default><family>math</family></default>
	</alias>
	<alias binding="same">
		<family>STIX Two Math</family> <!-- AMS -->
		<default><family>math</family></default>
	</alias>
	<alias binding="same">
		<family>Cambria Math</family> <!-- Microsoft -->
		<default><family>math</family></default>
	</alias>
	<alias binding="same">
		<family>Latin Modern Math</family> <!-- TeX -->
		<default><family>math</family></default>
	</alias>
	<alias binding="same">
		<family>Minion Math</family> <!-- Adobe -->
		<default><family>math</family></default>
	</alias>
	<alias binding="same">
		<family>Lucida Math</family> <!-- Adobe -->
		<default><family>math</family></default>
	</alias>
	<alias binding="same">
		<family>Asana Math</family>
		<default><family>math</family></default>
	</alias>

	<!-- Add language for math, to match other math fonts. -->
	<match>
		<test name="family">
			<string>math</string>
		</test>
		<edit name="lang" mode="prepend">
			<string>und-zmth</string>
		</edit>
	</match>

	<match>
		<test name="lang">
			<string>und-zmth</string>
		</test>
		<test qual="all" name="family" compare="not_eq">
			<string>math</string>
		</test>

		<!-- Add generic family -->
		<edit name="family" mode="append" binding="strong">
			<string>math</string>
		</edit>
	</match>


<!--
  Inlined from "45-latin.conf"
  Set substitutions for Latin fonts
-->
  <!--
  Serif faces
 -->
	<alias>
		<family>Bitstream Vera Serif</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Cambria</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Constantia</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>DejaVu Serif</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Elephant</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Garamond</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Georgia</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Liberation Serif</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Luxi Serif</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>MS Serif</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Nimbus Roman No9 L</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Nimbus Roman</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Palatino Linotype</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Thorndale AMT</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Thorndale</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Times New Roman</family>
		<default><family>serif</family></default>
	</alias>
	<alias>
		<family>Times</family>
		<default><family>serif</family></default>
	</alias>
<!--
  Sans-serif faces
 -->
	<alias>
		<family>Albany AMT</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Albany</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Arial Unicode MS</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Arial</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Bitstream Vera Sans</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Britannic</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Calibri</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Candara</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Century Gothic</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Corbel</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>DejaVu Sans</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Helvetica LT Std</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Helvetica</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Haettenschweiler</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Liberation Sans</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>MS Sans Serif</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Nimbus Sans L</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Nimbus Sans</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Luxi Sans</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Tahoma</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Trebuchet MS</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Twentieth Century</family>
		<default><family>sans-serif</family></default>
	</alias>
	<alias>
		<family>Verdana</family>
		<default><family>sans-serif</family></default>
	</alias>
<!--
  Monospace faces
 -->
	<alias>
		<family>Andale Mono</family>
		<default><family>monospace</family></default>
	</alias>
 	<alias>
		<family>Bitstream Vera Sans Mono</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>Consolas</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>Courier New</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>Courier Std</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>Courier</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>Cumberland AMT</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>Cumberland</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>DejaVu Sans Mono</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>Fixedsys</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>Inconsolata</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>Liberation Mono</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>Luxi Mono</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>Nimbus Mono L</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>Nimbus Mono</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>Nimbus Mono PS</family>
		<default><family>monospace</family></default>
	</alias>
	<alias>
		<family>Terminal</family>
		<default><family>monospace</family></default>
	</alias>
<!--
  Fantasy faces
 -->
	<alias>
		<family>Bauhaus Std</family>
		<default><family>fantasy</family></default>
	</alias>
	<alias>
		<family>Cooper Std</family>
		<default><family>fantasy</family></default>
	</alias>
	<alias>
		<family>Copperplate Gothic Std</family>
		<default><family>fantasy</family></default>
	</alias>
	<alias>
		<family>Impact</family>
		<default><family>fantasy</family></default>
	</alias>
<!--
  Cursive faces
  -->
	<alias>
		<family>Comic Sans MS</family>
		<default><family>cursive</family></default>
	</alias>
	<alias>
		<family>ITC Zapf Chancery Std</family>
		<default><family>cursive</family></default>
	</alias>
	<alias>
		<family>Zapfino</family>
		<default><family>cursive</family></default>
	</alias>
<!--
  system-ui
-->
	<alias>
		<family>Adwaita Sans</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Cantarell</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Noto Sans UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Segoe UI</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Segoe UI Historic</family>
		<default><family>system-ui</family></default>
	</alias>
	<alias>
		<family>Segoe UI Symbol</family>
		<default><family>system-ui</family></default>
	</alias>

<!--
  Inlined from "48-spacing.conf"
  Add mono to the family when spacing is 100
-->
  <match target="pattern">
		<test qual="any" name="spacing" compare="eq">
			<int>100</int>
		</test>
		<edit name="family" mode="prepend">
			<string>monospace</string>
		</edit>
	</match>
<!--
  Inlined from "49-sansserif.conf"
  Add sans-serif to the family when no generic name
-->
  <match target="pattern">
		<test qual="all" name="family" compare="not_eq">
			<string>sans-serif</string>
		</test>
		<test qual="all" name="family" compare="not_eq">
			<string>serif</string>
		</test>
		<test qual="all" name="family" compare="not_eq">
			<string>monospace</string>
		</test>
		<edit name="family" mode="append_last">
			<string>sans-serif</string>
		</edit>
	</match>
<!--
  Inlined from "60-generic.conf"
  Set preferable fonts for emoji/math fonts
-->
  <!-- Emoji -->

	<!-- Prefer to match color emoji font. -->
	<match>
		<test name="lang">
			<string>und-zsye</string>
		</test>
		<test qual="all" name="color" compare="not_eq">
			<bool>true</bool>
		</test>
		<test qual="all" name="color" compare="not_eq">
			<bool>false</bool>
		</test>
		<edit name="color" mode="append">
			<bool>true</bool>
		</edit>
	</match>

	<!-- TODO
	 ! Match on "color" and alias B&W ones first if no color is requested.
	 ! That's "hard" because <alias> doesn't work in match and needs to be
	 ! expanded to its non-sugar form.
	 !-->
	<alias binding="same">
		<family>emoji</family>
		<prefer>
			<!-- System fonts -->
			<family>Noto Color Emoji</family> <!-- Google -->
			<family>Apple Color Emoji</family> <!-- Apple -->
			<family>Segoe UI Emoji</family> <!-- Microsoft -->
			<family>Twitter Color Emoji</family> <!-- Twitter -->
			<family>EmojiOne Mozilla</family> <!-- Mozilla -->
			<!-- Third-Party fonts -->
			<family>Emoji Two</family>
			<family>JoyPixels</family>
			<family>Emoji One</family>
			<!-- Non-color -->
			<family>Noto Emoji</family> <!-- Google -->
			<family>Android Emoji</family> <!-- Google -->
		</prefer>
	</alias>

<!-- Math -->
	<alias binding="same">
		<!-- https://en.wikipedia.org/wiki/Category:Mathematical_OpenType_typefaces -->
		<family>math</family>
		<prefer>
			<family>XITS Math</family> <!-- Khaled Hosny -->
			<family>STIX Two Math</family> <!-- AMS -->
			<family>Cambria Math</family> <!-- Microsoft -->
			<family>Latin Modern Math</family> <!-- TeX -->
			<family>Minion Math</family> <!-- Adobe -->
			<family>Lucida Math</family> <!-- Adobe -->
			<family>Asana Math</family>
		</prefer>
	</alias>

<!--
  Inlined from "60-latin.conf"
  Set preferable fonts for Latin
-->
  <alias>
		<family>serif</family>
		<prefer>
			<family>Noto Serif</family>
			<family>DejaVu Serif</family>
			<family>Times New Roman</family>
			<family>Thorndale AMT</family>
			<family>Luxi Serif</family>
			<family>Nimbus Roman No9 L</family>
			<family>Nimbus Roman</family>
			<family>Times</family>
		</prefer>
	</alias>
	<alias>
		<family>sans-serif</family>
		<prefer>
			<family>Noto Sans</family>
			<family>DejaVu Sans</family>
			<family>Verdana</family>
			<family>Arial</family>
			<family>Albany AMT</family>
			<family>Luxi Sans</family>
			<family>Nimbus Sans L</family>
			<family>Nimbus Sans</family>
			<family>Helvetica</family>
			<family>Lucida Sans Unicode</family>
			<family>BPG Glaho International</family> <!-- lat,cyr,arab,geor -->
			<family>Tahoma</family> <!-- lat,cyr,greek,heb,arab,thai -->
		</prefer>
	</alias>
	<alias>
		<family>monospace</family>
		<prefer>
			<family>Noto Sans Mono</family>
			<family>DejaVu Sans Mono</family>
			<family>Inconsolata</family>
			<family>Andale Mono</family>
			<family>Courier New</family>
			<family>Cumberland AMT</family>
			<family>Luxi Mono</family>
			<family>Nimbus Mono L</family>
			<family>Nimbus Mono</family>
			<family>Nimbus Mono PS</family>
			<family>Courier</family>
		</prefer>
	</alias>
<!--
  Fantasy faces
 -->
 	<alias>
		<family>fantasy</family>
		<prefer>
			<family>Impact</family>
			<family>Copperplate Gothic Std</family>
			<family>Cooper Std</family>
			<family>Bauhaus Std</family>
		</prefer>
	</alias>
<!--
  Cursive faces
  -->
	<alias>
		<family>cursive</family>
		<prefer>
			<family>ITC Zapf Chancery Std</family>
			<family>Zapfino</family>
			<family>Comic Sans MS</family>
		</prefer>
	</alias>
<!--
  system-ui
-->
	<alias>
		<family>system-ui</family>
		<prefer>
			<family>Adwaita Sans</family>
			<family>Cantarell</family>
			<family>Noto Sans UI</family>
			<family>Segoe UI</family>
			<family>Segoe UI Historic</family>
			<family>Segoe UI Symbol</family>
		</prefer>
	</alias>

<!--
  Inlined from "65-nonlatin.conf"
  Set preferable fonts for non-Latin
-->
  <alias>
		<family>serif</family>
		<prefer>
			<family>Artsounk</family> <!-- armenian -->
			<family>BPG UTF8 M</family> <!-- georgian -->
			<family>Kinnari</family> <!-- thai -->
			<family>Norasi</family> <!-- thai -->
			<family>Frank Ruehl</family> <!-- hebrew -->
			<family>Dror</family>  <!-- hebrew -->
			<family>JG LaoTimes</family>  <!-- lao -->
			<family>Saysettha Unicode</family>  <!-- lao -->
			<family>Pigiarniq</family> <!-- canadian syllabics -->
			<family>B Davat</family> <!-- arabic (fa) -->
			<family>B Compset</family>  <!-- arabic (fa) -->
			<family>Kacst-Qr</family> <!-- arabic (ar) -->
			<family>Urdu Nastaliq Unicode</family> <!-- arabic (ur) -->
			<family>Raghindi</family> <!-- devanagari -->
			<family>Mukti Narrow</family> <!-- bengali -->
			<family>malayalam</family> <!-- malayalam -->
			<family>Sampige</family> <!-- kannada -->
			<family>padmaa</family> <!-- gujarati -->
			<family>Hapax Berbère</family> <!-- tifinagh -->
			<family>MS Mincho</family> <!-- han (ja) -->
			<family>SimSun</family> <!-- han (zh-cn,zh-tw) -->
			<family>PMingLiu</family> <!-- han (zh-tw) -->
			<family>WenQuanYi Zen Hei</family> <!-- han (zh-cn,zh-tw) -->
			<family>WenQuanYi Bitmap Song</family> <!-- han (zh-cn,zh-tw) -->
			<family>AR PL ShanHeiSun Uni</family> <!-- han (ja,zh-cn,zh-tw) -->
			<family>AR PL New Sung</family> <!-- han (zh-cn,zh-tw) -->
			<family>ZYSong18030</family> <!-- han (zh-cn,zh-tw) -->
			<family>HanyiSong</family> <!-- han (zh-cn,zh-tw) -->
			<family>Hiragino Mincho ProN</family> <!-- han (ja) - macOS -->
			<family>Songti SC</family> <!-- han (zh-cn) - macOS -->
			<family>Songti TC</family> <!-- han (zh-tw) - macOS -->
			<family>SimSong</family> <!-- han (zh-cn) - macOS -->
			<family>MgOpen Canonica</family>
			<family>Sazanami Mincho</family>
			<family>IPAMonaMincho</family>
			<family>IPAMincho</family>
			<family>Kochi Mincho</family>
			<family>AR PL SungtiL GB</family>
			<family>AR PL Mingti2L Big5</family>
 			<family>AR PL Zenkai Uni</family>
			<family>ＭＳ 明朝</family>
 			<family>ZYSong18030</family>
			<family>NanumMyeongjo</family> <!-- hangul (ko) -->
			<family>UnBatang</family> <!-- hangul (ko) -->
			<family>Baekmuk Batang</family> <!-- hangul (ko) -->
			<family>AppleMyungjo</family> <!-- hangul (ko) - macOS -->
 			<family>KacstQura</family>
 			<family>Frank Ruehl CLM</family>
			<family>Lohit Bengali</family>
 			<family>Lohit Gujarati</family>
 			<family>Lohit Hindi</family>
			<family>Lohit Marathi</family>
			<family>Lohit Maithili</family>
			<family>Lohit Kashmiri</family>
			<family>Lohit Konkani</family>
			<family>Lohit Nepali</family>
			<family>Lohit Sindhi</family>
 			<family>Lohit Punjabi</family>
 			<family>Lohit Tamil</family>
			<family>Rachana</family>
			<family>Lohit Malayalam</family>
 			<family>Lohit Kannada</family>
 			<family>Lohit Telugu</family>
 			<family>Lohit Oriya</family>
 			<family>LKLUG</family>
		</prefer>
	</alias>
	<alias>
		<family>sans-serif</family>
		<prefer>
			<family>Nachlieli</family> <!-- hebrew -->
			<family>Lucida Sans Unicode</family>
			<family>Yudit Unicode</family>
			<family>Kerkis</family> <!-- greek -->
			<family>ArmNet Helvetica</family> <!-- armenian -->
			<family>Artsounk</family> <!-- armenian -->
			<family>BPG UTF8 M</family> <!-- georgian -->
			<family>Waree</family> <!-- thai -->
			<family>Loma</family> <!-- thai -->
			<family>Garuda</family> <!-- thai -->
			<family>Umpush</family> <!-- thai -->
			<family>Saysettha Unicode</family> <!-- lao? -->
			<family>JG Lao Old Arial</family> <!-- lao -->
			<family>GF Zemen Unicode</family> <!-- ethiopic -->
			<family>Pigiarniq</family> <!-- canadian syllabics -->
			<family>B Davat</family> <!-- arabic (fa) -->
			<family>B Compset</family> <!-- arabic (fa) -->
			<family>Kacst-Qr</family> <!-- arabic (ar) -->
			<family>Urdu Nastaliq Unicode</family> <!-- arabic (ur) -->
			<family>Raghindi</family> <!-- devanagari -->
			<family>Mukti Narrow</family> <!-- bengali -->
			<family>malayalam</family> <!-- malayalam -->
			<family>Sampige</family> <!-- kannada -->
			<family>padmaa</family> <!-- gujarati -->
			<family>Hapax Berbère</family> <!-- tifinagh -->
			<family>MS Gothic</family> <!-- han (ja) -->
			<family>UmePlus P Gothic</family> <!-- han (ja) -->
			<family>Microsoft YaHei</family> <!-- han (zh-cn,zh-tw) -->
			<family>Microsoft JhengHei</family> <!-- han (zh-tw) -->
			<family>WenQuanYi Zen Hei</family> <!-- han (zh-cn,zh-tw) -->
			<family>WenQuanYi Bitmap Song</family> <!-- han (zh-cn,zh-tw) -->
			<family>AR PL ShanHeiSun Uni</family> <!--han (ja,zh-cn,zh-tw) -->
			<family>AR PL New Sung</family> <!-- han (zh-cn,zh-tw) -->
			<family>Hiragino Sans</family> <!-- han (ja) - macOS -->
			<family>PingFang SC</family> <!-- han (zh-cn) - macOS -->
			<family>PingFang TC</family> <!-- han (zh-tw) - macOS -->
			<family>PingFang HK</family> <!-- han (zh-hk) - macOS -->
			<family>Hiragino Sans CNS</family> <!-- han (zh-cn) - macOS -->
			<family>Hiragino Sans GB</family> <!-- han (zh-tw) - macOS -->
			<family>MgOpen Modata</family>
			<family>VL Gothic</family>
			<family>IPAMonaGothic</family>
			<family>IPAGothic</family>
			<family>Sazanami Gothic</family>
			<family>Kochi Gothic</family>
			<family>AR PL KaitiM GB</family>
			<family>AR PL KaitiM Big5</family>
 			<family>AR PL ShanHeiSun Uni</family>
 			<family>AR PL SungtiL GB</family>
 			<family>AR PL Mingti2L Big5</family>
			<family>ＭＳ ゴシック</family>
			<family>ZYSong18030</family> <!-- han (zh-cn,zh-tw) -->
			<family>TSCu_Paranar</family> <!-- tamil -->
			<family>NanumGothic</family> <!-- hangul (ko) -->
			<family>UnDotum</family> <!-- hangul (ko) -->
			<family>Baekmuk Dotum</family> <!-- hangul (ko) -->
 			<family>Baekmuk Gulim</family> <!-- hangul (ko) -->
			<family>Apple SD Gothic Neo</family> <!-- hangul (ko) - macOS -->
 			<family>KacstQura</family>
			<family>Lohit Bengali</family>
 			<family>Lohit Gujarati</family>
 			<family>Lohit Hindi</family>
			<family>Lohit Marathi</family>
			<family>Lohit Maithili</family>
			<family>Lohit Kashmiri</family>
			<family>Lohit Konkani</family>
			<family>Lohit Nepali</family>
			<family>Lohit Sindhi</family>
 			<family>Lohit Punjabi</family>
 			<family>Lohit Tamil</family>
			<family>Meera</family>
 			<family>Lohit Malayalam</family>
 			<family>Lohit Kannada</family>
 			<family>Lohit Telugu</family>
 			<family>Lohit Oriya</family>
 			<family>LKLUG</family>
		</prefer>
	</alias>
	<alias>
		<family>monospace</family>
		<prefer>
			<family>Miriam Mono</family> <!-- hebrew -->
			<family>VL Gothic</family>
			<family>IPAMonaGothic</family>
			<family>IPAGothic</family>
			<family>Sazanami Gothic</family>
			<family>Kochi Gothic</family>
			<family>AR PL KaitiM GB</family>
			<family>MS Gothic</family> <!-- han (ja) -->
			<family>UmePlus Gothic</family> <!-- han (ja) -->
			<family>NSimSun</family> <!-- han (zh-cn,zh-tw) -->
			<family>MingLiu</family> <!-- han (zh-tw) -->
			<family>AR PL ShanHeiSun Uni</family> <!-- han (ja,zh-cn,zh-tw) -->
			<family>AR PL New Sung Mono</family> <!-- han (zh-cn,zh-tw) -->
			<family>HanyiSong</family> <!-- han (zh-cn) -->
			<family>AR PL SungtiL GB</family>
			<family>AR PL Mingti2L Big5</family>
			<family>ZYSong18030</family> <!-- han (zh-cn,zh-tw) -->
			<family>NanumGothicCoding</family> <!-- hangul (ko) -->
			<family>NanumGothic</family> <!-- hangul (ko) -->
			<family>UnDotum</family> <!-- hangul (ko) -->
			<family>Baekmuk Dotum</family> <!-- hangul (ko) -->
			<family>Baekmuk Gulim</family> <!-- hangul (ko) -->
			<family>TlwgTypo</family> <!-- thai -->
			<family>TlwgTypist</family> <!-- thai -->
			<family>TlwgTypewriter</family> <!-- thai -->
			<family>TlwgMono</family> <!-- thai -->
			<family>Hasida</family> <!-- hebrew -->
			<family>GF Zemen Unicode</family> <!-- ethiopic -->
			<family>Hapax Berbère</family> <!-- tifinagh -->
			<family>Lohit Bengali</family>
			<family>Lohit Gujarati</family>
			<family>Lohit Hindi</family>
			<family>Lohit Marathi</family>
			<family>Lohit Maithili</family>
			<family>Lohit Kashmiri</family>
			<family>Lohit Konkani</family>
			<family>Lohit Nepali</family>
			<family>Lohit Sindhi</family>
			<family>Lohit Punjabi</family>
			<family>Lohit Tamil</family>
			<family>Meera</family>
			<family>Lohit Malayalam</family>
			<family>Lohit Kannada</family>
			<family>Lohit Telugu</family>
			<family>Lohit Oriya</family>
			<family>LKLUG</family>
		</prefer>
	</alias>
<!--
  system-ui
-->
	<alias>
		<family>system-ui</family>
		<prefer>
			<family>Noto Sans Arabic UI</family><!-- ar -->
			<family>Noto Sans Bengali UI</family><!-- bn -->
			<family>Noto Sans Devanagari UI</family><!-- hi, mai, mr -->
			<family>Noto Sans Gujarati UI</family><!-- gu -->
			<family>Noto Sans Gurmukhi UI</family><!-- pa -->
			<family>Noto Sans Kannada UI</family><!-- kn -->
			<family>Noto Sans Khmer UI</family><!-- km -->
			<family>Noto Sans Lao UI</family><!-- lo -->
			<family>Noto Sans Malayalam UI</family><!-- ml -->
			<family>Noto Sans Myanmar UI</family><!-- my -->
			<family>Noto Sans Oriya UI</family><!-- or -->
			<family>Noto Sans Sinhala UI</family><!-- si -->
			<family>Noto Sans Tamil UI</family><!-- ta -->
			<family>Noto Sans Telugu UI</family><!-- te -->
			<family>Noto Sans Thai UI</family><!-- th -->
			<family>Leelawadee UI</family><!-- bug, th, jv, km, lo -->
			<family>Nirmala UI</family><!-- Indic -->
			<family>Yu Gothic UI</family><!-- han (ja) -->
			<family>Meiryo UI</family><!-- han (ja) -->
			<family>MS UI Gothic</family><!-- han (ja) -->
			<family>Khmer UI</family><!-- km -->
			<family>Lao UI</family><!-- lo -->
			<family>Microsoft YaHei UI</family><!-- han (zh-cn) -->
			<family>Microsoft JhengHei UI</family><!-- han (zh-tw) -->
		</prefer>
	</alias>

<!--
  Inlined from "70-no-bitmaps-and-emoji.conf"
  Reject bitmap fonts, including bitmap emoji fonts
-->
  <selectfont>
    <rejectfont>
      <pattern>
        <patelt name="outline"><bool>false</bool></patelt>
      </pattern>
    </rejectfont>
  </selectfont>
<!--
  Inlined from "70-no-bitmaps-except-emoji.conf"
  Reject bitmap fonts except bitmap emoji fonts
-->
  <selectfont>
    <rejectfont>
      <pattern>
        <patelt name="outline"><bool>false</bool></patelt>
        <patelt name="scalable"><bool>false</bool></patelt>
      </pattern>
    </rejectfont>
  </selectfont>
<!--
  Inlined from "70-yes-bitmaps.conf"
  Accept bitmap fonts
-->
  <selectfont>
  <acceptfont>
   <pattern>
     <patelt name="outline"><bool>false</bool></patelt>
   </pattern>
  </acceptfont>
 </selectfont>
<!-- Fix-ups for Delicious family -->

<!-- Delicious 'heavy' variant says its Medium weight -->
<match target="scan">
	<test name="family" compare="eq" ignore-blanks="true">
		<string>Delicious</string>
	</test>
	<test name="style">
		<string>Heavy</string>
	</test>
	<edit name="weight">
		<const>heavy</const>
	</edit>
</match>

<!-- 
 Artificial oblique for fonts without an italic or oblique version
 -->
 
	<match target="font">
		<!-- check to see if the font is roman -->
		<test name="slant">
			<const>roman</const>
		</test>
		<!-- check to see if the pattern requested non-roman -->
		<test target="pattern" name="slant" compare="not_eq">
			<const>roman</const>
		</test>
		<!-- multiply the matrix to slant the font -->
		<edit name="matrix" mode="assign">
			<times>
				<name>matrix</name>
				<matrix><double>1</double><double>0.2</double>
					<double>0</double><double>1</double>
				</matrix>
			</times>
		</edit>
		<!-- pretend the font is oblique now -->
		<edit name="slant" mode="assign">
			<const>oblique</const>
		</edit>
		<!-- and disable embedded bitmaps for artificial oblique -->
		<edit name="embeddedbitmap" mode="assign">
			<bool>false</bool>
		</edit>
	</match>

<!--
 Synthetic emboldening for fonts that do not have bold face available
 -->

	<match target="font">
		<!-- check to see if the weight in the font is less than medium which possibly need emboldening -->
		<test name="weight" compare="less_eq">
			<const>medium</const>
		</test>
		<!-- check to see if the pattern requests bold -->
		<test target="pattern" name="weight" compare="more_eq">
			<const>bold</const>
		</test>
		<!--
		  set the embolden flag
		  needed for applications using cairo, e.g. gucharmap, gedit, ...
		-->
		<edit name="embolden" mode="assign">
			<bool>true</bool>
		</edit>
		<!--
		 set weight to bold
		 needed for applications using Xft directly, e.g. Firefox, ...
		-->
		<edit name="weight" mode="assign">
			<const>bold</const>
		</edit>
	</match>
</fontconfig>
